# Get deploy transfers

Get transfers by deploy hash.

```
GET /deploys/{deploy_hash}/transfers
```

## Sorting

| Property    | Description                 |
| ----------- | --------------------------- |
| `timestamp` | Sort transfers by timestamp |

Default sorting is `timestamp DESC`

## Optional properties

| Property                  | Type                                                                                                                                       | Description                                                                                                                                            |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `initiator_public_key`    | `string(68)`                                                                                                                               | Initiator public key represented as a hexademical string                                                                                               |
| `to_public_key`           | `string(68)`                                                                                                                               | Transfer recipient public key represented as a hexademical string                                                                                      |
| `from_purse_public_key`   | `string(68)`                                                                                                                               | Public key of the account that owns the transfer source purse represented as a hexademical string. null when the sender purse is not own by an account |
| `to_purse_public_key`     | `string(68)`                                                                                                                               | Public key of the account that owns the transfer target purse represented as a hexademical string. null when the target purse is not own by an account |
| `to_account_info`         | [`AccountInfo`](https://github.com/make-software/casper-middleware/blob/documentation-1.1.x/docs/public/rest-api/transfer/account-info.md) | Transfer recipient account info                                                                                                                        |
| `from_purse_account_info` | [`AccountInfo`](https://github.com/make-software/casper-middleware/blob/documentation-1.1.x/docs/public/rest-api/transfer/account-info.md) | Account info of the account that owns the transfer source purse. null when the sender purse is not own by an account                                   |
| `to_purse_account_info`   | [`AccountInfo`](https://github.com/make-software/casper-middleware/blob/documentation-1.1.x/docs/public/rest-api/transfer/account-info.md) | Account info of the account that owns the transfer target purse. null when the target purse is not own by an account                                   |
| `initiator_public_key`    | `string(68)`                                                                                                                               | Deploy caller public key represented as a hexadecimal string                                                                                           |
| `rate`                    | `float32`                                                                                                                                  | CSPR rate for specified currency that was relevant at the moment of deploy creation                                                                    |

## Response

[`PaginatedResponse`](/1.1.x/documentation/overview/pagination.md)[`<Transfer>`](/1.1.x/rest-api/transfer.md)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/deploys/0005f1e53afa9799a66a389a90caab84ab3cbd000ab7741e55e09f80c75002b6/transfers' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": [
    {
      "amount": "24928248069",
      "deploy_hash": "0005f1e53afa9799a66a389a90caab84ab3cbd000ab7741e55e09f80c75002b6",
      "from_purse": "uref-63ccc0c7a7369acd9fcaa0c5223bce572a6d033473acdc08fbd8f4e06a49d27c-007",
      "id": null,
      "initiator_account_hash": "f41cc7553d271e7ac70899ead4d3584c72ca2e119f2a86fbb4641ca95f3ba9e7",
      "timestamp": "2023-02-09T19:16:21Z",
      "to_account_hash": null,
      "to_purse": "uref-50d2abfd212c60c9d51a1418b5bb2e4b19fdaeee8d56366fff0270b7e597e192-007",
      "transform_key": "4f13ec50361b95c75ddf204e5f0a09b702d33a2e8d8d4d9fc34b0bb157c2b06c"
    },
    {
      "amount": "24928248070",
      "deploy_hash": "0005f1e53afa9799a66a389a90caab84ab3cbd000ab7741e55e09f80c75002b6",
      "from_purse": "uref-60cc83844483f5f09ea111bc9ca2f15441cd7453e70d15e3eddd3b8c433e6ea8-007",
      "id": null,
      "initiator_account_hash": "f41cc7553d271e7ac70899ead4d3584c72ca2e119f2a86fbb4641ca95f3ba9e7",
      "timestamp": "2023-02-09T19:16:21Z",
      "to_account_hash": null,
      "to_purse": "uref-c18ba5de1642d021febeb7ddc9d493f1a59b9da104aa1eed03f721e68bb902f7-007",
      "transform_key": "6c19355f1bd6cb9b5de9688ccc796a4e14f37cff3191ff11d216e9cb090e935f"
    },
    {
      "amount": "24928248069",
      "deploy_hash": "0005f1e53afa9799a66a389a90caab84ab3cbd000ab7741e55e09f80c75002b6",
      "from_purse": "uref-c18ba5de1642d021febeb7ddc9d493f1a59b9da104aa1eed03f721e68bb902f7-007",
      "id": null,
      "initiator_account_hash": "f41cc7553d271e7ac70899ead4d3584c72ca2e119f2a86fbb4641ca95f3ba9e7",
      "timestamp": "2023-02-09T19:16:21Z",
      "to_account_hash": null,
      "to_purse": "uref-63ccc0c7a7369acd9fcaa0c5223bce572a6d033473acdc08fbd8f4e06a49d27c-007",
      "transform_key": "b77ea4429328a09e0dea3613d7ad5dc266e7d04d727c6fb907a543b1014643ff"
    }
  ],
  "item_count": 3,
  "page_count": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.1.x/rest-api/transfer/get-deploy-transfers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
